<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Bokeh Plot</title>
    <style>
      html, body {
        box-sizing: border-box;
        display: flow-root;
        height: 100%;
        margin: 0;
        padding: 0;
      }
    </style>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/dev/bokeh-3.5.0.dev1.min.js"></script>
    <script type="text/javascript">
        Bokeh.set_log_level("info");
    </script>
  </head>
  <body>
    <div id="ab1ab510-c573-4020-afe4-d22ea54add47" data-root-id="p1001" style="display: contents;"></div>
  
    <script type="application/json" id="c70010d9-aa32-48fb-8d35-5b608488c399">
      {"fe8f2cb1-648a-4331-a483-87cfe56c6c06":{"version":"3.5.0.dev1","title":"Bokeh Application","roots":[{"type":"object","name":"Figure","id":"p1001","attributes":{"height":250,"x_range":{"type":"object","name":"FactorRange","id":"p1011","attributes":{"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1}},"y_range":{"type":"object","name":"DataRange1d","id":"p1003","attributes":{"start":0}},"x_scale":{"type":"object","name":"CategoricalScale","id":"p1012"},"y_scale":{"type":"object","name":"LinearScale","id":"p1013"},"title":{"type":"object","name":"Title","id":"p1004","attributes":{"text":"Fruit Counts by Year"}},"outline_line_color":null,"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1040","attributes":{"name":"2015","data_source":{"type":"object","name":"ColumnDataSource","id":"p1031","attributes":{"selected":{"type":"object","name":"Selection","id":"p1032","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1033"},"data":{"type":"map","entries":[["fruits",["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]],["2015",[2,1,4,3,2,4]],["2016",[5,3,4,2,4,6]],["2017",[3,2,4,4,5,3]]]}}},"view":{"type":"object","name":"CDSView","id":"p1041","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1042"}}},"glyph":{"type":"object","name":"VBar","id":"p1037","attributes":{"x":{"type":"field","field":"fruits"},"width":{"type":"value","value":0.9},"bottom":{"type":"expr","expr":{"type":"object","name":"Stack","id":"p1025","attributes":{"fields":[]}}},"top":{"type":"expr","expr":{"type":"object","name":"Stack","id":"p1026","attributes":{"fields":["2015"]}}},"line_color":{"type":"value","value":"#004488"},"fill_color":{"type":"value","value":"#004488"},"hatch_color":{"type":"value","value":"#004488"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p1038","attributes":{"x":{"type":"field","field":"fruits"},"width":{"type":"value","value":0.9},"bottom":{"type":"expr","expr":{"id":"p1025"}},"top":{"type":"expr","expr":{"id":"p1026"}},"line_color":{"type":"value","value":"#004488"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#004488"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#004488"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p1039","attributes":{"x":{"type":"field","field":"fruits"},"width":{"type":"value","value":0.9},"bottom":{"type":"expr","expr":{"id":"p1025"}},"top":{"type":"expr","expr":{"id":"p1026"}},"line_color":{"type":"value","value":"#004488"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#004488"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#004488"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p1054","attributes":{"name":"2016","data_source":{"type":"object","name":"ColumnDataSource","id":"p1045","attributes":{"selected":{"type":"object","name":"Selection","id":"p1046","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1047"},"data":{"type":"map","entries":[["fruits",["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]],["2015",[2,1,4,3,2,4]],["2016",[5,3,4,2,4,6]],["2017",[3,2,4,4,5,3]]]}}},"view":{"type":"object","name":"CDSView","id":"p1055","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1056"}}},"glyph":{"type":"object","name":"VBar","id":"p1051","attributes":{"x":{"type":"field","field":"fruits"},"width":{"type":"value","value":0.9},"bottom":{"type":"expr","expr":{"type":"object","name":"Stack","id":"p1027","attributes":{"fields":["2015"]}}},"top":{"type":"expr","expr":{"type":"object","name":"Stack","id":"p1028","attributes":{"fields":["2015","2016"]}}},"line_color":{"type":"value","value":"#DDAA33"},"fill_color":{"type":"value","value":"#DDAA33"},"hatch_color":{"type":"value","value":"#DDAA33"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p1052","attributes":{"x":{"type":"field","field":"fruits"},"width":{"type":"value","value":0.9},"bottom":{"type":"expr","expr":{"id":"p1027"}},"top":{"type":"expr","expr":{"id":"p1028"}},"line_color":{"type":"value","value":"#DDAA33"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#DDAA33"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#DDAA33"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p1053","attributes":{"x":{"type":"field","field":"fruits"},"width":{"type":"value","value":0.9},"bottom":{"type":"expr","expr":{"id":"p1027"}},"top":{"type":"expr","expr":{"id":"p1028"}},"line_color":{"type":"value","value":"#DDAA33"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#DDAA33"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#DDAA33"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p1067","attributes":{"name":"2017","data_source":{"type":"object","name":"ColumnDataSource","id":"p1058","attributes":{"selected":{"type":"object","name":"Selection","id":"p1059","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1060"},"data":{"type":"map","entries":[["fruits",["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]],["2015",[2,1,4,3,2,4]],["2016",[5,3,4,2,4,6]],["2017",[3,2,4,4,5,3]]]}}},"view":{"type":"object","name":"CDSView","id":"p1068","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1069"}}},"glyph":{"type":"object","name":"VBar","id":"p1064","attributes":{"x":{"type":"field","field":"fruits"},"width":{"type":"value","value":0.9},"bottom":{"type":"expr","expr":{"type":"object","name":"Stack","id":"p1029","attributes":{"fields":["2015","2016"]}}},"top":{"type":"expr","expr":{"type":"object","name":"Stack","id":"p1030","attributes":{"fields":["2015","2016","2017"]}}},"line_color":{"type":"value","value":"#BB5566"},"fill_color":{"type":"value","value":"#BB5566"},"hatch_color":{"type":"value","value":"#BB5566"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p1065","attributes":{"x":{"type":"field","field":"fruits"},"width":{"type":"value","value":0.9},"bottom":{"type":"expr","expr":{"id":"p1029"}},"top":{"type":"expr","expr":{"id":"p1030"}},"line_color":{"type":"value","value":"#BB5566"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#BB5566"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#BB5566"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p1066","attributes":{"x":{"type":"field","field":"fruits"},"width":{"type":"value","value":0.9},"bottom":{"type":"expr","expr":{"id":"p1029"}},"top":{"type":"expr","expr":{"id":"p1030"}},"line_color":{"type":"value","value":"#BB5566"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#BB5566"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#BB5566"},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1010","attributes":{"tools":[{"type":"object","name":"HoverTool","id":"p1024","attributes":{"renderers":"auto","tooltips":"$name @fruits: @$name"}}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p1019","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1020","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1021"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p1022"},"minor_tick_line_color":null}}],"below":[{"type":"object","name":"CategoricalAxis","id":"p1014","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p1015"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p1016"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p1017"},"minor_tick_line_color":null}}],"center":[{"type":"object","name":"Grid","id":"p1018","attributes":{"axis":{"id":"p1014"},"grid_line_color":null}},{"type":"object","name":"Grid","id":"p1023","attributes":{"dimension":1,"axis":{"id":"p1019"}}},{"type":"object","name":"Legend","id":"p1043","attributes":{"location":"top_left","orientation":"horizontal","items":[{"type":"object","name":"LegendItem","id":"p1044","attributes":{"label":{"type":"value","value":"2015"},"renderers":[{"id":"p1040"}]}},{"type":"object","name":"LegendItem","id":"p1057","attributes":{"label":{"type":"value","value":"2016"},"renderers":[{"id":"p1054"}]}},{"type":"object","name":"LegendItem","id":"p1070","attributes":{"label":{"type":"value","value":"2017"},"renderers":[{"id":"p1067"}]}}]}}]}}]}}
    </script>
    <script type="text/javascript">
      (function() {
        const fn = function() {
          Bokeh.safely(function() {
            (function(root) {
              function embed_document(root) {
              const docs_json = document.getElementById('c70010d9-aa32-48fb-8d35-5b608488c399').textContent;
              const render_items = [{"docid":"fe8f2cb1-648a-4331-a483-87cfe56c6c06","roots":{"p1001":"ab1ab510-c573-4020-afe4-d22ea54add47"},"root_ids":["p1001"]}];
              root.Bokeh.embed.embed_items(docs_json, render_items);
              }
              if (root.Bokeh !== undefined) {
                embed_document(root);
              } else {
                let attempts = 0;
                const timer = setInterval(function(root) {
                  if (root.Bokeh !== undefined) {
                    clearInterval(timer);
                    embed_document(root);
                  } else {
                    attempts++;
                    if (attempts > 100) {
                      clearInterval(timer);
                      console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                    }
                  }
                }, 10, root)
              }
            })(window);
          });
        };
        if (document.readyState != "loading") fn();
        else document.addEventListener("DOMContentLoaded", fn);
      })();
    </script>
  </body>
</html>